Name:		gyachi
Version:	1.2.11
Release:	%mkrel 12
Summary:	A GTK+ based Yahoo! Chat client
Group:		Networking/Instant messaging
License:	GPLv2+
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		gyachi-1.1.71-disable_doc_install.patch
Patch1:		gyachi-1.1.71-fix-linkage.patch
Patch2:		gyachi-1.1.71-fix-str-fmt.patch
Patch3:		gyachi-1.1.71-fix-gpgme-build.patch
Patch4:		gyachi-1.2.11-automake-1.13.patch
Patch5:		gyachi-1.2.11-automake-1.14.patch
URL:		http://sourceforge.net/projects/gyachi/

BuildRequires:	gtk+2-devel
BuildRequires:	gettext-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	jasper-devel
BuildRequires:	autoconf
BuildRequires:	expat-devel
BuildRequires:	gpgme-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	webkitgtk-devel
BuildRequires:	libnotify-devel
BuildRequires:	gtkspell-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	libv4l-devel >= 0.8.3
BuildRequires:	openssl-devel
Requires:	glib-networking
Obsoletes:	gyach <= 0.9.8

Provides:	gyach = %{version}

Recommends:	plugin-pulseaudio

%description
GyachI is a GTK+ based Yahoo! Chat client. It is a continuation of
Gyach Enhanced, which was itself a fork of Gyach. GyachI supports
almost all of the features you would expect to find on the official
Windows Yahoo! client: Voice chat, web-cams, faders, 'nicknames',
audibles, avatars, display images, and more.

%package  	plugin-blowfish
Summary:	Blowfish encryption plugin for GyachI
Group:		Networking/Instant messaging
Requires:	%{name} >= %{version}

%description plugin-blowfish
%{summary}.

%package	plugin-gpgme
Summary:	GPGMe encryption plugin for GyachI
Group:		Networking/Instant messaging
Requires:	%{name} >= %{version}

%description plugin-gpgme
%{summary}.

%package	plugin-mcrypt
Summary:	MCrypt encryption plugin for GyachI
Group:		Networking/Instant messaging
Requires:	%{name} >= %{version}
      
%description plugin-mcrypt
%{summary}.

%package	plugin-photosharing
Summary:	Photo sharing plugin for GyachI
Group:		Networking/Instant messaging
Requires:	%{name} >= %{version}

%description plugin-photosharing
%{summary}.

%package	plugin-pulseaudio
Summary:	PulseAudio plugin for GyachI
Group:		Networking/Instant messaging
Requires:	%{name} >= %{version}

%description plugin-pulseaudio
%{summary}.

#%%package	plugin-xmms
#Summary:	XMMS plugin for GyachI
#Group:		Networking/Instant messaging
#Requires:	%%{name} >= %%{version}
#Requires:	xmms

#%%description plugin-xmms
#%%{summary}.

%package	plugin-gtkspell
Summary:	Spell check plugin for GyachI
Group:		Networking/Instant messaging
Requires:	%{name} >= %{version}

%description plugin-gtkspell
%{summary}.

%prep
%setup -q
%patch0 -p1 -b .doc
%patch1 -p0 -b .link
%patch2 -p0 -b .str
%patch3 -p1 -b .gpgme
%patch4 -p1 -b .gyachi-1.2.11-automake-1.13.patch
%patch5 -p1 -b .gyachi-1.2.11-automake-1.14.patch

perl -pi -e 's,%{name}.png,%{name},g' %{name}.desktop

%build
./autogen.sh
export CPPFLAGS='-D_FILE_OFFSET_BITS=64'
LDFLAGS="$LDFLAGS -lm"
%configure2_5x \
--disable-rpath \
--enable-maintainer-mode \
%ifnarch i386
--disable-wine \
%endif
--disable-plugin_libnotify \
--enable-plugin_photo_album 
#--enable-plugin_xmms
%make

%install
%makeinstall_std
desktop-file-install --vendor="" \
  --remove-key="Encoding" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

install -m 644 -D themes/gyachi-classic/gyach-icon_32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 644 -D themes/gyachi-classic/gyach-icon_48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m 644 -D themes/gyachi-classic/gyach-icon_32.png %{buildroot}%{_iconsdir}/%{name}.png
# Added versioned html help dir as binary expects it - barjac 12/2011
install -d %{buildroot}%{_datadir}/doc/%{name}-%{version}/html
install -m 644 -D doc/html/*.html %{buildroot}%{_datadir}/doc/%{name}-%{version}/html/

find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog
%doc doc/txt/gyachi-help-short.txt doc/txt/jasper-memory-leak.patch.txt doc/txt/webcams.txt doc/txt/README
%{_datadir}/doc/%{name}-%{version}/html/* 
%{_bindir}/%{name}*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libexecdir}/%{name}-*
%{_libdir}/lib%{name}.so
%{_libdir}/%{name}/plugins/lib%{name}alsa.so
%{_datadir}/%{name}
%{_datadir}/applications/gyachi.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/%{name}.png

%files plugin-blowfish
%{_libdir}/%{name}/plugins/lib%{name}blowfish.so

%files plugin-gpgme
%{_libdir}/%{name}/plugins/lib%{name}gpgme.so

%files plugin-mcrypt
%{_libdir}/%{name}/plugins/lib%{name}mcrypt.so

%files plugin-photosharing
%{_libdir}/%{name}/plugins/lib%{name}photos.so

%files plugin-pulseaudio
%{_libdir}/%{name}/plugins/lib%{name}pulseaudio.so

#%%files plugin-xmms
#%%{_libdir}/%%{name}/plugins/lib%%{name}xmms.so

%files plugin-gtkspell
%{_libdir}/%{name}/plugins/lib%{name}gtkspell.so



%changelog
* Fri Mar 10 2017 akien <akien> 1.2.11-12.mga6
+ Revision: 1091608
- Rebuild for v4l-utils 1.12.3

* Wed Mar 01 2017 ghibo <ghibo> 1.2.11-11.mga6
+ Revision: 1088244
- Rebuilt against pulseaudio 10

* Wed Mar 02 2016 umeabot <umeabot> 1.2.11-10.mga6
+ Revision: 983459
- Rebuild for openssl

* Fri Feb 05 2016 umeabot <umeabot> 1.2.11-9.mga6
+ Revision: 937473
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.2.11-8.mga6
+ Revision: 937026
- Mageia 6 Mass Rebuild

* Thu Feb 04 2016 barjac <barjac> 1.2.11-7.mga6
+ Revision: 935908
- fix arm build

* Wed Oct 15 2014 umeabot <umeabot> 1.2.11-7.mga5
+ Revision: 738927
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.11-6.mga5
+ Revision: 680064
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Oct 21 2013 umeabot <umeabot> 1.2.11-5.mga4
+ Revision: 539307
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 barjac <barjac> 1.2.11-4.mga4
+ Revision: 491938
- fix some autotools 1.14 warnings
- tidy spec a little

* Sun Jan 13 2013 luigiwalser <luigiwalser> 1.2.11-3.mga3
+ Revision: 361412
- fix for changed _libexecdir
- further fix for automake 1.13
- fix for automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 19 2011 barjac <barjac> 1.2.11-1.mga2
+ Revision: 184600
- Fix i586 build (DSO issue)
- imported package gyachi

